aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChris Gianelloni <wolf31o2@gentoo.org>2006-09-13 18:32:36 +0000
committerChris Gianelloni <wolf31o2@gentoo.org>2006-09-13 18:32:36 +0000
commit866ba57c1355d8fff387a50095136ec6746de78b (patch)
tree2f83debbcfed02de44e70555ef1ae12e482fc438
parentAdded fix for bug #143348. (diff)
downloadcatalyst-866ba57c1355d8fff387a50095136ec6746de78b.tar.gz
catalyst-866ba57c1355d8fff387a50095136ec6746de78b.tar.bz2
catalyst-866ba57c1355d8fff387a50095136ec6746de78b.zip
Fix bashrc so it doesn't give an error and add System.map to livecd-kernel.
git-svn-id: svn+ssh://svn.gentoo.org/var/svnroot/catalyst/trunk@1176 d1e1f19c-881f-0410-ab34-b69fee027534
-rw-r--r--ChangeLog6
-rw-r--r--livecd/files/livecd-bashrc2
-rwxr-xr-xtargets/support/livecdfs-update.sh4
3 files changed, 8 insertions, 4 deletions
diff --git a/ChangeLog b/ChangeLog
index 9c03d9bb..6ec663c3 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,9 @@
# Copyright 2002-2006 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/ChangeLog,v 1.660 2006/09/08 20:00:57 wolf31o2 Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/ChangeLog,v 1.661 2006/09/13 18:32:35 wolf31o2 Exp $
+
+ 13 Sep 2006; Chris Gianelloni <wolf31o2@gentoo.org>
+ livecd/files/livecd-bashrc, targets/support/livecdfs-update.sh:
+ Fix bashrc so it doesn't give an error and add System.map to livecd-kernel.
08 Sep 2006; Chris Gianelloni <wolf31o2@gentoo.org>
modules/catalyst_support.py:
diff --git a/livecd/files/livecd-bashrc b/livecd/files/livecd-bashrc
index 85baa140..983e657d 100644
--- a/livecd/files/livecd-bashrc
+++ b/livecd/files/livecd-bashrc
@@ -1,6 +1,6 @@
#!/bin/bash
-if [ ! $(grep nox /proc/cmdline) ]
+if [ ! "$(grep nox /proc/cmdline)" ]
then
if [ -x /usr/bin/X ]
then
diff --git a/targets/support/livecdfs-update.sh b/targets/support/livecdfs-update.sh
index 18bf6d19..0c18f8d9 100755
--- a/targets/support/livecdfs-update.sh
+++ b/targets/support/livecdfs-update.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo/src/catalyst/targets/support/livecdfs-update.sh,v 1.62 2006/08/23 11:20:23 wolf31o2 Exp $
+# $Header: /var/cvsroot/gentoo/src/catalyst/targets/support/livecdfs-update.sh,v 1.63 2006/09/13 18:32:36 wolf31o2 Exp $
. /tmp/chroot-functions.sh
@@ -245,7 +245,7 @@ case ${clst_livecd_type} in
if [ -e /opt/installer/misc/mkvardb ]
then
chmod +x /opt/installer/misc/mkvardb
- /opt/installer/misc/mkvardb -p livecd-kernel -c sys-kernel -v ${clst_version_stamp} --provide "virtual/alsa" /boot/kernel* /boot/initr* $(for i in $(find "/lib/modules/" -type f); do grep --quiet "${i}" /var/db/pkg/*/*/CONTENTS || echo ${i}; done)
+ /opt/installer/misc/mkvardb -p livecd-kernel -c sys-kernel -v ${clst_version_stamp} --provide "virtual/alsa" /boot/System* /boot/kernel* /boot/initr* $(for i in $(find "/lib/modules/" -type f); do grep --quiet "${i}" /var/db/pkg/*/*/CONTENTS || echo ${i}; done)
fi
# Setup Gnome theme